/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.util.monolog.wrapper.remote.api;

import org.objectweb.util.monolog.api.Handler;
import org.objectweb.util.monolog.api.TopicalLogger;

import java.io.Serializable;

/**
 * 
 * @author S.Chassande-Barrioz
 */
public class LoggerInfo implements Serializable {
    
    public String[] topics;
    
    public int level;
    
    public String[] handlerNames;
    
    public boolean additivity;

    public LoggerInfo(TopicalLogger l) {
        topics = l.getTopic();
        level = l.getCurrentIntLevel();
        Handler[] hs = l.getHandler();
        handlerNames = new String[hs.length];
        for(int i=0; i<hs.length; i++) {
            handlerNames[i] = hs[i].getName();
        }
        additivity = l.getAdditivity();
    }
}
